﻿<UserControl x:Class="Jeu___Bourse.View.Accueil.NavigateurView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             xmlns:Controls="http://metro.mahapps.com/winfx/xaml/controls"
             xmlns:vmweb="clr-namespace:Jeu___Bourse.ViewModel.Website"
             xmlns:vieweb="clr-namespace:Jeu___Bourse.View.Website"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Jeu___Bourse.View.Accueil"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <UserControl.Resources>
        <DataTemplate DataType="{x:Type vmweb:ShopViewModel}">
            <vieweb:ShopView/>
        </DataTemplate>
    </UserControl.Resources>
    <Grid Visibility="{Binding NavigateurVisibility,Converter={StaticResource BoolVisibility}}">
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition Height="18*" />
        </Grid.RowDefinitions>
        <Grid Background="#231F20">
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition Width="10*"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>
            <TextBlock Text="Navigateur" HorizontalAlignment="Center" VerticalAlignment="Center" Foreground="White"/>
            <Grid Grid.Column="2">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>
                <Button Margin="3" Command="{Binding MiniNavigateur}">
                    <Image Source="/Img/minus.png"/>
                </Button>
                <Button Grid.Column="1" Background="DarkRed" BorderBrush="DarkRed" Margin="3" Command="{Binding CloseNavigateur}">
                    <Image Source="/Img/window-close.png"/>
                </Button>
            </Grid>
        </Grid>
        <Grid Grid.Row="1" Background="#E5E5E5">
            <Grid.RowDefinitions>
                <RowDefinition/>
                <RowDefinition Height="12*"/>
            </Grid.RowDefinitions>
            <Grid Grid.Row="0">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition Width="6*"/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>
                <materialDesign:Card VerticalAlignment="Stretch">
                    
                </materialDesign:Card>
                <materialDesign:Card Grid.Column="1" VerticalAlignment="Stretch">
                    <TextBox Grid.Column="1" Background="White" FontSize="40" HorizontalContentAlignment="Left" VerticalContentAlignment="Top" Text="{Binding Url,UpdateSourceTrigger=PropertyChanged}" Controls:TextBoxHelper.ClearTextButton="True"/>
                </materialDesign:Card>
                <materialDesign:Card VerticalAlignment="Stretch" Grid.Column="2">
                <Button Grid.Column="2" Margin="1,0,0,0" Background="White" Height="54" Style="{StaticResource ButtonStyle1}" Command="{Binding DisplayBtn}" IsDefault="True">
                    <Viewbox Width="48" Height="48">
                        <Canvas Width="24" Height="24">
                            <Path Data="M5,21A2,2 0 0,1 3,19V5A2,2 0 0,1 5,3H19A2,2 0 0,1 21,5V19C21,20.11 20.1,21 19,21H5M6,13H14.5L11,16.5L12.42,17.92L18.34,12L12.42,6.08L11,7.5L14.5,11H6V13Z" Fill="CornflowerBlue" />
                        </Canvas>
                    </Viewbox>
                </Button>
                </materialDesign:Card>
            </Grid>
            <ContentControl Grid.Row="1" Content="{Binding WebSite}"/>
        </Grid>
    </Grid>
</UserControl>
